import numpy, cv2, gauss2d

cv2.namedWindow('Camera')
cap = cv2.VideoCapture(0)

alpha = gauss2d.filter(30) #.1*numpy.ones((100,100,3), float)
alpha = alpha / numpy.max(alpha)

while 1:
    stat, image=cap.read()

    roi = image[100:200, 100:200]
    #cv2.GaussianBlur(roi, (0,0), 7, roi)

    roi = roi * alpha
    image[100:200, 100:200] = roi

    cv2.imshow('Camera', image)
    key = cv2.waitKey(10)

    if key == 0x1b: #ESC
        break

cap.release()
cv2.destroyAllWindows()
