import numpy, cv2

cap = cv2.VideoCapture(0)
stat, image = cap.read()

rgb = numpy.loadtxt('rgb.txt') # pixels x 3(rgb)
hsv = numpy.loadtxt('hsv.txt')

#rgb_mean = numpy.mean(rgb,0)
#rgb_std = numpy.std(rgb,0)
hsv[:,0] = numpy.remainder(hsv[:,0]+90, 180)
hsv_mean = numpy.mean(hsv,0)
hsv_std = numpy.std(hsv,0)
print hsv_mean, hsv_std

while 1:
    stat, image = cap.read()

    # e.g., color_flag[y,x,:] = [True, False, False]
    #color_flag = numpy.absolute(image - rgb_mean) < 2.0*rgb_std
    hsv = cv2.cvtColor(image, cv2.COLOR_BGR2HSV)
    hsv[:,:,0] = numpy.remainder(hsv[:,:,0]+90, 180)
    #print hsv
    num=3
    color_flag = numpy.absolute(hsv[:,:,0:num] - hsv_mean[0:num]) < 2.0*hsv_std[0:num]
    fg_pixels = numpy.where(numpy.sum(color_flag, 2) == num)
    image[fg_pixels[0], fg_pixels[1], :] = [0,0,255]

    cv2.imshow('Camera', image)
    key = cv2.waitKey(10)

    if key == 0x1b: # ESC
        break
    
cap.release()
cv2.destroyAllWindows()


