import numpy

def filter(shape=(3,3),sigma=0.5):
    #m,n = [(ss-1.)/2. for ss in shape]
    m,n = int(shape[0]/2.0), int(shape[1]/2.0)
    y,x = numpy.ogrid[-m:m+1,-n:n+1]
    h = numpy.exp( -(x*x + y*y) / (2.*sigma*sigma) )
    #h[ h < numpy.finfo(h.dtype).eps*h.max() ] = 0
    sumh = h.sum()
    if sumh != 0:
        h /= sumh
    return h
